import request from '@/utils/request'

// 生成微信登录二维码
export function generateWechatQrCode() {
  return request({
    url: '/wechat/qrcode',
    method: 'get'
  })
}

// 检查微信登录状态
export function checkWechatLoginStatus(loginId) {
  return request({
    url: '/wechat/status',
    method: 'get',
    params: { loginId }
  })
}

// 微信登录
export function wechatLogin(loginId) {
  return request({
    url: '/wechat/login',
    method: 'post',
    params: { loginId }
  })
}